# PySiTK 

PySiTK is a Python-based open-source toolkit that provides a collection of helper functions to facilitate IO, printing, plotting, ... and the interaction between [SimpleITK][simpleitk] and [ITK_NiftyMIC][itkniftymic].

The algorithm and software were developed by [Michael Ebner][mebner] at the [Translational Imaging Group][tig] in the [Centre for Medical Image Computing][cmic] at [University College London (UCL)][ucl].

If you have any questions or comments, please drop me an email to `michael.ebner.14@ucl.ac.uk`.

## Installation

Installation of the external dependencies:
* [ITK_NiftyMIC][itkniftymic]

Clone the PySiTK repository by
* `git clone git@github.com:gift-surg/PySiTK.git` 

Install PySiTK by running
* `pip install .`


## Licensing and Copyright
Copyright (c) 2017, [University College London][ucl].
This framework is made available as free open-source software under the [BSD-3-Clause License][bsd]. Other licenses may apply for dependencies.

## Funding
This work is partially funded by the UCL [Engineering and Physical Sciences Research Council (EPSRC)][epsrc] Centre for Doctoral Training in Medical Imaging (EP/L016478/1), the Innovative Engineering for Health award ([Wellcome Trust][wellcometrust] [WT101957] and [EPSRC][epsrc] [NS/A000027/1]), and supported by researchers at the [National Institute for Health Research][nihr] [University College London Hospitals (UCLH)][uclh] Biomedical Research Centre.

[citation]: https://www.sciencedirect.com/science/article/pii/S1053811917308042
[mebner]: https://www.linkedin.com/in/ebnermichael
[tig]: http://cmictig.cs.ucl.ac.uk
[bsd]: https://opensource.org/licenses/BSD-3-Clause
[giftsurg]: http://www.gift-surg.ac.uk
[cmic]: http://cmic.cs.ucl.ac.uk
[uclh]: http://www.uclh.nhs.uk
[epsrc]: http://www.epsrc.ac.uk
[wellcometrust]: http://www.wellcome.ac.uk
[mssociety]: https://www.mssociety.org.uk/
[nihr]: http://www.nihr.ac.uk/research
[ucl]: http://www.ucl.ac.uk
[simpleitk]: http://www.simpleitk.org/
[wrapitk]: https://itk.org/Wiki/ITK/WrapITK_Status
[itkniftymic]: https://github.com/gift-surg/ITK_NiftyMIC/wikis/home